<!DOCTYPE html>
<html lang="en">
	<head>
		<title>Tree Space</title>
		<meta charset="utf-8">
		<meta name="viewport" content="width=device-width, user-scalable=no, minimum-scale=1.0, maximum-scale=1.0">
    <link rel="stylesheet" href='/stylesheets/style.css'>
    <script src="https://ajax.googleapis.com/ajax/libs/jquery/3.2.1/jquery.min.js"></script>
    <script src="js/three.js"></script>
		<script src="js/TrackballControls.js"></script>
		<script src="js/OrbitControls.js"></script>
		<script src="js/OBJLoader.js"></script>
	</head>

	<body style="background-image: url(images/bg.jpg);position:relative;background-size: cover;background-repeat-x:repeat;">
    <div id="tooltip"></div>
		<div id="buyspace">Buy space</div>
		<i class="hoax" id="hoax">Select a spot on tree<br/> Sleigh<br/> Gift box </br> Other items</i>

    <!-- Pop Up -->
		<div id="popup" class="">
			<form method="POST" action="/">
				<input type="hidden" id="locationid" value="" />
				<span id="closepop">x</span>
				<h3>Put yourself on tree</h3>
				<p>Select Object</p>
				<div class="iconselect">
					<img src="images/cane.png" id="scane" />
					<img src="images/star.png" id="sstar" />
					<img src="images/ball.png" id="ssphere" />
					<img src="images/bell.png" id="sbell" />
					<img src="images/gift.png" id="sgift" />
					<img src="images/sleigh.png" id="ssleigh" />
				</div>
				<input type="hidden" id="object" value="" />

				<p>Hover Mouse Text</p>
				<input type="text" id="hovertext" value=""/>

				<p>Your Link</p>
				<input type="text" id="objectlink" />
				<button id="buywithpaypal">Buy with Paypal</button>
			</form>
    </div>
    
		<script>
      var posgon = [
        {"x": 0.82, "y": -1, "z": 0,"item": "seige", "text": "Text Seige", "link": "http://example.com/seige", "free": false},
        {"x": 0.85, "y": -.69, "z": 0,"item": "decorbox", "text": "Text Box", "link": "http://example.com/box", "free": false},
        {"x": -0.8, "y": -.69, "z": 0,"item": "decorbox", "text": "", "link": "", "free": true},
        {"x": 0.55, "y": -.69, "z": 0.8,"item": "decorbox", "text": "", "link": "", "free": true},
        {"x": -0.55, "y": -.69, "z": 0.8,"item": "decorbox", "text": "", "link": "", "free": true},
        {"x": 0, "y": -.69, "z": -0.8,"item": "decorbox", "text": "", "link": "", "free": true},
        {"x": 0.5, "y": -.59, "z": 0,"item": "star", "text": "Text Star", "link": "http://example.com/star", "free": false},
        {"x": -0.5, "y": -.59, "z": 0,"item": "cane", "text": "Text Cane", "link": "http://example.com/cane", "free": false},
        {"x": 0.25, "y": -.59, "z": 0.5,"item": "bell", "text": "Text Bell", "link": "http://example.com/bell", "free": false},
        {"x": -0.25, "y": -.59, "z": 0.5,"item": "ball", "text": "Text Ball", "link": "http://example.com/ball", "free": false},
        {"x": 0, "y": -.59, "z": -0.5,"item": "allitems", "text": "", "link": "", "free": true},
        {"x": 0.45, "y": -.39, "z": 0,"item": "allitems", "text": "", "link": "", "free": true},
        {"x": -0.45, "y": -.39, "z": 0,"item": "allitems", "text": "", "link": "", "free": true},
        {"x": 0.25, "y": -.39, "z": 0.45,"item": "allitems", "text": "", "link": "", "free": true},
        {"x": -0.25, "y": -.39, "z": 0.45,"item": "allitems", "text": "", "link": "", "free": true},
        {"x": 0, "y": -.39, "z": -0.45,"item": "allitems", "text": "", "link": "", "free": true},
        {"x": 0.40, "y": -.19, "z": 0,"item": "allitems", "text": "", "link": "", "free": true},
        {"x": -0.40, "y": -.19, "z": 0,"item": "allitems", "text": "", "link": "", "free": true},
        {"x": 0.20, "y": -.19, "z": 0.40,"item": "allitems", "text": "", "link": "", "free": true},
        {"x": -0.20, "y": -.19, "z": 0.40,"item": "allitems", "text": "", "link": "", "free": true},
        {"x": 0, "y": -.19, "z": -0.4,"item": "allitems", "text": "", "link": "", "free": true},
        {"x": 0.35, "y": 0, "z": 0,"item": "allitems", "text": "", "link": "", "free": true},
        {"x": -0.35, "y": 0, "z": 0,"item": "allitems", "text": "", "link": "", "free": true},
        {"x": 0.17, "y": 0, "z": 0.35,"item": "allitems", "text": "", "link": "", "free": true},
        {"x": -0.17, "y": 0, "z": 0.35,"item": "allitems", "text": "", "link": "", "free": true},
        {"x": 0, "y": 0, "z": -0.35,"item": "allitems", "text": "", "link": "", "free": true},
        {"x": 0.30, "y": 0.2, "z": 0,"item": "allitems", "text": "", "link": "", "free": true},
        {"x": -0.30, "y": 0.2, "z": 0,"item": "allitems", "text": "", "link": "", "free": true},
        {"x": 0.15, "y": 0.2, "z": 0.30,"item": "allitems", "text": "", "link": "", "free": true},
        {"x": -0.15, "y": 0.2, "z": 0.30,"item": "allitems", "text": "", "link": "", "free": true},
        {"x": 0, "y": 0.2, "z": -0.3,"item": "allitems", "text": "", "link": "", "free": true},
        {"x": 0.25, "y": 0.4, "z": 0,"item": "allitems", "text": "", "link": "", "free": true},
        {"x": -0.25, "y": 0.4, "z": 0,"item": "allitems", "text": "", "link": "", "free": true},
        {"x": 0.13, "y": 0.4, "z": 0.25,"item": "allitems", "text": "", "link": "", "free": true},
        {"x": -0.13, "y": 0.4, "z": 0.25,"item": "allitems", "text": "", "link": "", "free": true},
        {"x": 0, "y": 0.4, "z": -0.25,"item": "allitems", "text": "", "link": "", "free": true},
        {"x": 0.20, "y": 0.6, "z": 0,"item": "allitems", "text": "", "link": "", "free": true},
        {"x": -0.20, "y": 0.6, "z": 0,"item": "allitems", "text": "", "link": "", "free": true},
        {"x": 0.1, "y": 0.6, "z": 0.2,"item": "allitems", "text": "", "link": "", "free": true},
        {"x": -0.1, "y": 0.6, "z": 0.2,"item": "allitems", "text": "", "link": "", "free": true},
        {"x": 0, "y": 0.6, "z": -0.2,"item": "allitems", "text": "", "link": "", "free": true},
        {"x": 0.15, "y": 0.8, "z": 0,"item": "allitems", "text": "", "link": "", "free": true},
        {"x": -0.15, "y": 0.8, "z": 0,"item": "allitems", "text": "", "link": "", "free": true},
        {"x": 0.071, "y": 0.8, "z": 0.15,"item": "allitems", "text": "", "link": "", "free": true},
        {"x": -0.071, "y": 0.8, "z": 0.15,"item": "allitems", "text": "", "link": "", "free": true},
        {"x": 0, "y": 0.8, "z": -0.15,"item": "allitems", "text": "", "link": "", "free": true},
        {"x": 0.3, "y": -.49, "z": -0.43,"item": "allitems", "text": "", "link": "", "free": true},
        {"x": -0.3, "y": -.49, "z": -0.43,"item": "allitems", "text": "", "link": "", "free": true},
        {"x": 0, "y": -.49, "z": .5,"item": "allitems", "text": "", "link": "", "free": true},
        {"x": 0.35, "y": -.49, "z": .3,"item": "allitems", "text": "", "link": "", "free": true},
        {"x": -0.35, "y": -.49, "z": .3,"item": "allitems", "text": "", "link": "", "free": true},
        {"x": 0.263, "y": -.29, "z": -0.4,"item": "allitems", "text": "", "link": "", "free": true},
        {"x": -0.263, "y": -.29, "z": -0.4,"item": "allitems", "text": "", "link": "", "free": true},
        {"x": 0, "y": -.29, "z": .465,"item": "allitems", "text": "", "link": "", "free": true},
        {"x": 0.3, "y": -.29, "z": .263,"item": "allitems", "text": "", "link": "", "free": true},
        {"x": -0.3, "y": -.29, "z": .263,"item": "allitems", "text": "", "link": "", "free": true},
        {"x": 0.225, "y": -.09, "z": -0.3640,"item": "allitems", "text": "", "link": "", "free": true},
        {"x": -0.225, "y": -.09, "z": -0.3640,"item": "allitems", "text": "", "link": "", "free": true},
        {"x": 0, "y": -.09, "z": .4,"item": "allitems", "text": "", "link": "", "free": true},
        {"x": 0.2730, "y": -.09, "z": .226,"item": "allitems", "text": "", "link": "", "free": true},
        {"x": -0.2730, "y": -.09, "z": .226,"item": "allitems", "text": "", "link": "", "free": true},
        {"x": 0.225, "y": .1, "z": -0.3440,"item": "allitems", "text": "", "link": "", "free": true},
        {"x": -0.225, "y": .1, "z": -0.3440,"item": "allitems", "text": "", "link": "", "free": true},
        {"x": 0, "y": .1, "z": .4,"item": "allitems", "text": "", "link": "", "free": true},
        {"x": 0.2730, "y": .1, "z": .226,"item": "allitems", "text": "", "link": "", "free": true},
        {"x": -0.2730, "y": .1, "z": .226,"item": "allitems", "text": "", "link": "", "free": true},
        {"x": 0.2, "y": .3, "z": -0.263,"item": "allitems", "text": "", "link": "", "free": true},
        {"x": -0.2, "y": .31, "z": -0.263,"item": "allitems", "text": "", "link": "", "free": true},
        {"x": 0, "y": .31, "z": .34,"item": "allitems", "text": "", "link": "", "free": true},
        {"x": 0.230, "y": .3, "z": .2,"item": "allitems", "text": "", "link": "", "free": true},
        {"x": -0.230, "y": .31, "z": .2,"item": "allitems", "text": "", "link": "", "free": true},
      ];


 			var arrofdots = [];
 			var arrofobjs = [];
			var container, controls;
			var camera, scene, renderer, group;
			var mat_shinygold, mat_wooddull, mat_leaf, mat_hidden, mat_shinyred, mat_shinyblue, mat_shinypurple, mat_shinygreen, mat_shinygrey;
			var raycaster = new THREE.Raycaster();
    		var mouse = new THREE.Vector2();

			init();
			animate();

			function init() {

				container = document.createElement( 'div' );
				document.body.appendChild( container );
				group = new THREE.Group();
				camera = new THREE.PerspectiveCamera(58, window.innerWidth / window.innerHeight, 0.1, 10 );
				camera.position.z = 2;

				


				scene = new THREE.Scene();

var light = new THREE.DirectionalLight( 0xffffff, .41 );
  light.position.set( 0, 2, 1 );
  scene.add( light );
  var light = new THREE.DirectionalLight( 0xffffff, .31 );
  light.position.set( 0, 2, -1 );
  scene.add( light );

				scene.add( new THREE.AmbientLight( 0xffffff ) );



				mat_shinygold = new THREE.MeshPhongMaterial( { color: 0x7b4501, emissive: 0xbb6800, shininess: 40, specular: 0xf9dd8a } );
				mat_shinyred = new THREE.MeshPhongMaterial( { color: 0x960303, emissive: 0xc70606, shininess: 40, specular: 0xffffff } );
				mat_shinyblue = new THREE.MeshPhongMaterial( { color: 0x0e3177, emissive: 0x072256, shininess: 40, specular: 0x345fb1 } );
				mat_shinygrey = new THREE.MeshPhongMaterial( { color: 0x444343, emissive: 0x141e23, shininess: 40, specular: 0x40687b } );
				mat_shinygreen = new THREE.MeshPhongMaterial( { color: 0x073804, emissive: 0x025605, shininess: 30, specular: 0x114e0d } );
				mat_shinypurple = new THREE.MeshPhongMaterial( { color: 0x5a023f, emissive: 0x350142, shininess: 40, specular: 0x7b1694 } );

				mat_wooddull = new THREE.MeshLambertMaterial( { color: 0x6b3623, emmisive: 0x583a2f } ) ;

				var texture = THREE.ImageUtils.loadTexture( 'images/branch.png' );
				texture.needsUpdate = true;
				mat_leaf = new THREE.MeshBasicMaterial( {side:THREE.DoubleSide,depthWrite: true, depthTest: true, map: texture, "transparent": true, "opacity": 1 } ); 

  				mat_hidden = new THREE.MeshBasicMaterial( {side:THREE.DoubleSide,depthWrite: false, depthTest: false, map: texture, "transparent": true, "opacity": 0 } ); 


				var loader = new THREE.OBJLoader();
				
				loader.load(
					
					'images/christmas_tree.obj',
					
					function ( object ) {

				object.traverse( function ( node ) {
			    if ( node.isMesh && node.name =='leaves_Plane.085') {
			    	node.material = mat_leaf;
			    	
			    }
			    else if (node.name == 'Cylinder'){
			    	node.material = mat_wooddull;
			    }
			    else if(node.name.indexOf('Sphere') !== -1){
			    	node.material = mat_hidden;
			    }
			    else if(node.name.indexOf('star') !== -1){
			    	node.material = mat_hidden;
			    }
			    if(node.name.indexOf('star.001') !== -1){
			    	node.material = mat_shinygold;
			    }
			    

			  	} );				
				object.translateY(-.8);
				object.scale.set(.9059, .9059, .9059);

						scene.add( object );
					},
					
					function ( xhr ) {
					
					},
					
					function ( error ) {
						console.log( 'An error happened' );
					}
				);



					 
			for (index = 0; index < posgon.length; ++index) {	
				if(!posgon[index].free){	
					if(posgon[index].item =='decorbox'){
							objectneo  = createobjx('images/box.obj', mat_shinypurple, posgon[index].link, posgon[index].text);							
						    objectneo.scale.set(.0192, .0192, .0192);
							objectneo.position.set(posgon[index].x, posgon[index].y+.3, posgon[index].z);
						  	scene.add( objectneo );

					}
					else if(posgon[index].item =='bell'){
						
						    objectneo  = createobjx('images/bell.obj', mat_shinygrey, posgon[index].link, posgon[index].text);
						    objectneo.scale.set(.0052, .0052, .0052);
						    objectneo.rotateX(-.1708);
							objectneo.position.set(posgon[index].x, posgon[index].y, posgon[index].z);
						  	scene.add( objectneo );
						  
					}
					else if(posgon[index].item =='cane'){
							objectneo  = createobjx('images/cane.obj', mat_shinyblue, posgon[index].link, posgon[index].text);
						    objectneo.scale.set(.002, .004, .001);
						    objectneo.rotateX(1.570);
						    objectneo.rotateZ(1.570);
							objectneo.position.set(posgon[index].x, posgon[index].y, posgon[index].z);
						  	scene.add( objectneo );
					}
					else if(posgon[index].item =='star'){
							objectneo  = createobjx('images/star.obj', mat_shinygold, posgon[index].link, posgon[index].text);
						    objectneo.scale.set(.051, .051, .051);
						    objectneo.rotateY(1.5708);
							objectneo.position.set(posgon[index].x, posgon[index].y, posgon[index].z);
						  	scene.add( objectneo );
					}
					else if(posgon[index].item =='ball'){
							objectneo  = createobjx('images/ball.obj', mat_shinyred, posgon[index].link, posgon[index].text);
						    objectneo.scale.set(.031, .031, .031);
						    objectneo.rotateY(1.5708);
							objectneo.position.set(posgon[index].x, posgon[index].y, posgon[index].z);
						  	scene.add( objectneo );

					}
					else if(posgon[index].item =='seige'){

					}
				}
			}

				renderer = new THREE.WebGLRenderer({ alpha: true });
				renderer.setPixelRatio( window.devicePixelRatio );
				renderer.setSize( window.innerWidth, window.innerHeight );

				container.appendChild( renderer.domElement );

				controls = new THREE.OrbitControls( camera, renderer.domElement );
				controls.enableDamping = true;
				controls.dampingFactor = .25;
				controls.screenSpacePanning = false;
				controls.minDistance = 0.6;
				controls.maxDistance = 10;
				controls.maxPolarAngle =  Math.PI / 2;
				controls.minPolarAngle =  Math.PI / 2;
				controls.rotateSpeed = 0.06;

				window.addEventListener( 'resize', resize, false );
				container.addEventListener('mousedown', onDocumentMouseDown, false);
				document.addEventListener('mousemove', onDocumentMouseMove, false);

			}

			function resize() {

				camera.aspect = window.innerWidth / window.innerHeight;
				camera.updateProjectionMatrix();

				renderer.setSize( window.innerWidth, window.innerHeight );

			}

			function onDocumentMouseDown(event) {
			        event.preventDefault();
			 
			        mouse.x = (event.clientX / renderer.domElement.clientWidth) * 2 - 1;
			        mouse.y =  - (event.clientY / renderer.domElement.clientHeight) * 2 + 1;
			 
			        raycaster.setFromCamera(mouse, camera);			       
			         
			        var intersects = raycaster.intersectObjects(arrofdots);			 
			        if (intersects.length > 0) {
			            intersects[0].object.callback();
			        }

			        var intersectso = raycaster.intersectObjects(arrofobjs, true);			 
			        if (intersectso.length > 0) {
			            intersectso[0].object.callback();
			        }
			 
			    }

			    function onDocumentMouseMove(event) {
				    event.preventDefault();
				 
				    mouse.x = (event.clientX / renderer.domElement.clientWidth) * 2 - 1;
				    mouse.y =  - (event.clientY / renderer.domElement.clientHeight) * 2 + 1;
				 
				    raycaster.setFromCamera(mouse, camera);
				 
				    var intersects = raycaster.intersectObjects(arrofobjs, true);
				    var canvas = document.body.getElementsByTagName('canvas')[0];
				 
				    if (intersects.length > 0) {
				        /*intersects[0].object.rotation.x += .005;
				        intersects[0].object.scale.x += .0305;
				        intersects[0].object.scale.y += .0305;
				        intersects[0].object.scale.z += .0305;*/
				        document.getElementById("tooltip").innerHTML = intersects[0].object.userData.title;
				        document.getElementById("tooltip").style.left = event.clientX - 15 + 'px';
				        document.getElementById("tooltip").style.top = event.clientY -35+ 'px';
				        canvas.style.cursor = "pointer";


				    } else {
				        canvas.style.cursor = "default";

				        document.getElementById("tooltip").innerHTML = '';
				        document.getElementById("tooltip").style.left = '-3000px';
				        document.getElementById("tooltip").style.top = '0px';

				    }
				 
				}

			function animate() {

				controls.update();
				renderer.render( scene, camera );

				requestAnimationFrame( animate );


			}

			function objectClickHandler() {
				var locid = this.userData.id.split('-')[0];
				var itemtype = this.userData.id.split('-')[1];//seige, allitems, decorbox, star, cane, bell, ball

				document.getElementById('locationid').value = locid;

				if(itemtype == 'seige'){
					document.getElementById("ssleigh").style.display = 'inline-block';
					document.getElementById("scane").style.display = 'none';
					document.getElementById("ssphere").style.display = 'none';
					document.getElementById("sstar").style.display = 'none';
					document.getElementById("sbell").style.display = 'none';
					document.getElementById("sgift").style.display = 'none';
					document.getElementById('object').value = 'seige';

					document.getElementById("ssleigh").classList.add("hective");
					document.getElementById("scane").classList.remove("hective");
					document.getElementById("ssphere").classList.remove("hective");
					document.getElementById("sstar").classList.remove("hective");
					document.getElementById("sbell").classList.remove("hective");
					document.getElementById("sgift").classList.remove("hective");
				}
			    else if(itemtype == 'decorbox'){
			    	document.getElementById("ssleigh").style.display = 'none';
					document.getElementById("scane").style.display = 'none';
					document.getElementById("ssphere").style.display = 'none';
					document.getElementById("sstar").style.display = 'none';
					document.getElementById("sbell").style.display = 'none';
					document.getElementById("sgift").style.display = 'inline-block';
					document.getElementById('object').value = 'decorbox';

					document.getElementById("ssleigh").classList.remove("hective");
					document.getElementById("scane").classList.remove("hective");
					document.getElementById("ssphere").classList.remove("hective");
					document.getElementById("sstar").classList.remove("hective");
					document.getElementById("sbell").classList.remove("hective");
					document.getElementById("sgift").classList.add("hective");
			    }
			    else if(itemtype == 'allitems'){
			    	document.getElementById("ssleigh").style.display = 'none';
					document.getElementById("scane").style.display = 'inline-block';
					document.getElementById("ssphere").style.display = 'inline-block';
					document.getElementById("sstar").style.display = 'inline-block';
					document.getElementById("sbell").style.display = 'inline-block';
					document.getElementById("sgift").style.display = 'none';
					document.getElementById('object').value = '';
					document.getElementById("ssleigh").classList.remove("hective");
					document.getElementById("scane").classList.remove("hective");
					document.getElementById("ssphere").classList.remove("hective");
					document.getElementById("sstar").classList.remove("hective");
					document.getElementById("sbell").classList.remove("hective");
					document.getElementById("sgift").classList.remove("hective");
			    }
				
        		document.getElementById("popup").classList.add("onscr");
        		document.getElementById("hoax").style.display = 'none';
			}





			document.getElementById("closepop").onclick = function(){
				document.getElementById("popup").classList.remove("onscr");

					for (indexg = 0; indexg < arrofdots.length; ++indexg) {	
							scene.remove(arrofdots[indexg]);
							arrofdots[indexg].geometry.dispose();
							arrofdots[indexg].material.dispose();
							arrofdots[indexg] = undefined;
						
					}
					arrofdots = [];

			}

			document.getElementById("scane").onclick = function(){
					document.getElementById("ssphere").classList.remove("hective");
					document.getElementById("sstar").classList.remove("hective");
					document.getElementById("sbell").classList.remove("hective");
					document.getElementById("scane").classList.add("hective");
					document.getElementById('object').value = 'cane';
			}
			document.getElementById("sstar").onclick = function(){
					document.getElementById("ssphere").classList.remove("hective");
					document.getElementById("scane").classList.remove("hective");
					document.getElementById("sbell").classList.remove("hective");
					document.getElementById("sstar").classList.add("hective");
					document.getElementById('object').value = 'star';
			}
			document.getElementById("ssphere").onclick = function(){
					document.getElementById("scane").classList.remove("hective");
					document.getElementById("sstar").classList.remove("hective");
					document.getElementById("sbell").classList.remove("hective");
					document.getElementById("ssphere").classList.add("hective");
					document.getElementById('object').value = 'ball';
			}
			document.getElementById("sbell").onclick = function(){
					document.getElementById("ssphere").classList.remove("hective");
					document.getElementById("sstar").classList.remove("hective");
					document.getElementById("scane").classList.remove("hective");
					document.getElementById("sbell").classList.add("hective");
					document.getElementById('object').value = 'bell';
			}


			document.getElementById("buyspace").onclick = function(){
						for (index = 0; index < posgon.length; ++index) {	
						if(posgon[index].free)		{				
						    var sphereGeometry = new THREE.SphereGeometry(1,10,10);
		        			 
		        			 if(posgon[index].item == 'decorbox') var jointSpheres = new THREE.Mesh(sphereGeometry, mat_shinygold);
		        			 else if(posgon[index].item == 'sleigh') var jointSpheres = new THREE.Mesh(sphereGeometry, mat_shinyred);
		        			 else if(posgon[index].item == 'star') var jointSpheres = new THREE.Mesh(sphereGeometry, mat_shinyblue);
		        			 else if(posgon[index].item == 'bell') var jointSpheres = new THREE.Mesh(sphereGeometry, mat_shinypurple);
		        			 else if(posgon[index].item == 'ball') var jointSpheres = new THREE.Mesh(sphereGeometry, mat_shinygreen);
		        			 else if(posgon[index].item == 'cane') var jointSpheres = new THREE.Mesh(sphereGeometry, mat_shinygrey);
		        			 else {var jointSpheres = new THREE.Mesh(sphereGeometry, mat_shinyblue);}

		        			 jointSpheres.position.x = posgon[index].x;
							 jointSpheres.position.y = posgon[index].y;
							 jointSpheres.position.z = posgon[index].z;
							 jointSpheres.scale.set(.02, .02, .02);
							 scene.add(jointSpheres);
							 jointSpheres.callback = objectClickHandler;
							 jointSpheres.userData.id = index+'-'+posgon[index].item;
							 arrofdots.push(jointSpheres);
						}
			}
			document.getElementById("hoax").style.display = 'inline-block';
			}


						function createobjx(filex, matx, linkx, titlex){
							var container = new THREE.Object3D();
							var loader = new THREE.OBJLoader();
							loader.load(filex, function ( object ) {
								object.traverse( function ( node ) {
									node.material = matx;
									node.callback = linkopener;
									node.userData.link = linkx;
									node.userData.title = titlex;
								});
								
						  		arrofobjs.push(object);

								container.add( object );							
						  });
							return container;
						}


		  function linkopener(){
		  	window.open(this.userData.link);
		  }
		</script>

	</body>
</html>
